Thank you for your donation


Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Kodi 17.4: no upgrade option
3rd Nov, 2017, 07:56 AM
Post: #1
Kodi 17.4: no upgrade option
Hello

About 2 weeks my raspberry pi would not boot (could not read from sdcard). At that moment I had Kodi 17.4 installed. I was forced to reinstall. But then I remembered I had made a backup image of earlier, back when I had kodi 17.3. I restored the image and the raspberry pi came back online with 17.3.
However, no I can't upgrade to 17.4 anymore. There is not option for it under xbian-config module inside kodi. I have run updates multiple times in the xbian-config module (not sudo apt-get update), but with no luck.

How can I force an upgrade from 17.3 to 17.4?

As I was desperate I tried to see what sudo apt-get update would say and it returned:
Terminal
N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension
Does that have anything to say?

My installation is:
Terminal
cat /etc/os-release
PRETTY_NAME="XBian 1.0 (knockout)"
NAME=XBian
VERSION_ID=1.0
VERSION="1.0 (knockout)"
ID=raspbian
ID_LIKE=debian
ANSI_COLOR="1;31"
HOME_URL="http://www.xbian.org/"
SUPPORT_URL="http://forum.xbian.org/"
BUG_REPORT_URL="https://github.com/xbianonpi/xbian/issues"
Terminal
uname -a
Linux xbian 4.9.58+ #1 SMP PREEMPT Tue Oct 24 17:20:12 CEST 2017 armv7l GNU/Linux

Hope anyone can help

Thanks
Find all posts by this user
Quote this message in a reply
4th Nov, 2017, 12:05 AM
Post: #2
RE: Kodi 17.4: no upgrade option
(3rd Nov, 2017 07:56 AM)joehc Wrote:  Hello

About 2 weeks my raspberry pi would not boot (could not read from sdcard). At that moment I had Kodi 17.4 installed. I was forced to reinstall. But then I remembered I had made a backup image of earlier, back when I had kodi 17.3. I restored the image and the raspberry pi came back online with 17.3.
However, no I can't upgrade to 17.4 anymore. There is not option for it under xbian-config module inside kodi. I have run updates multiple times in the xbian-config module (not sudo apt-get update), but with no luck.

How can I force an upgrade from 17.3 to 17.4?

As I was desperate I tried to see what sudo apt-get update would say and it returned:
Terminal
N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension
Does that have anything to say?

Don't worry about that

What happens if you run

Terminal

sudo apt-get update
sudo apt-get upgrade

And btw, I can not believe that there is no option inside Kodi's xbian-config

There must be an Update category
Find all posts by this user
Quote this message in a reply
4th Nov, 2017, 06:04 AM
Post: #3
RE: Kodi 17.4: no upgrade option
(4th Nov, 2017 12:05 AM)Nachteule Wrote:  
(3rd Nov, 2017 07:56 AM)joehc Wrote:  Hello

About 2 weeks my raspberry pi would not boot (could not read from sdcard). At that moment I had Kodi 17.4 installed. I was forced to reinstall. But then I remembered I had made a backup image of earlier, back when I had kodi 17.3. I restored the image and the raspberry pi came back online with 17.3.
However, no I can't upgrade to 17.4 anymore. There is not option for it under xbian-config module inside kodi. I have run updates multiple times in the xbian-config module (not sudo apt-get update), but with no luck.

How can I force an upgrade from 17.3 to 17.4?

As I was desperate I tried to see what sudo apt-get update would say and it returned:
Terminal
N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension
Does that have anything to say?

Don't worry about that

What happens if you run

Terminal

sudo apt-get update
sudo apt-get upgrade

And btw, I can not believe that there is no option inside Kodi's xbian-config

There must be an Update category

Sorry my bad, I did not explain it right. There is a update category under xbian-config-gui, but it does not prompt me updating to kodi 17.4, which I thought it would.

If I run:
Terminal

Sudo apt-get update
Sudo apt-get upgrade
It gives me a really long list of packages that needs to be updated. I have not done that, because I thought it would break the system. I have only run the updates in the xbian-config-gui.

The output:
Terminal

sudo apt-get update && sudo apt-get upgrade
[sudo] password for xbian:
Get:1 http://apt.xbian.org stable InRelease [8,518 B]
Ign http://dl.bintray.com jessie InRelease
Get:2 http://apt.xbian.org stable/main armhf Packages [13.9 kB]
Hit http://dl.bintray.com jessie Release.gpg
Hit http://dl.bintray.com jessie Release
Get:3 http://apt.xbian.org stable/rpi2-stretch armhf Packages [21.8 kB]
Get:4 http://apt.xbian.org stable/armv7l-stretch armhf Packages [29 B]
Hit http://dl.bintray.com jessie/main armhf Packages
Ign http://http.debian.net stretch InRelease
Hit http://http.debian.net stretch Release.gpg
Hit http://http.debian.net stretch Release
Ign http://dl.bintray.com jessie/main Translation-en_US
Ign http://dl.bintray.com jessie/main Translation-en
Hit http://http.debian.net stretch/main armhf Packages
Ign http://apt.xbian.org stable/armv7l-stretch Translation-en_US
Ign http://apt.xbian.org stable/armv7l-stretch Translation-en
Ign http://apt.xbian.org stable/main Translation-en_US
Ign http://apt.xbian.org stable/main Translation-en
Hit http://http.debian.net stretch/non-free armhf Packages
Ign http://apt.xbian.org stable/rpi2-stretch Translation-en_US
Ign http://apt.xbian.org stable/rpi2-stretch Translation-en
Hit http://http.debian.net stretch/main Translation-en
Hit http://http.debian.net stretch/non-free Translation-en
Fetched 44.3 kB in 26s (1,696 B/s)
Reading package lists... Done
N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... The following packages were automatically installed and are no longer required:
g++-4.9 libasprintf0c2 libbind9-90 libdns100 libgif4 libgnutls-openssl27
libimobiledevice6 libisccfg90 libjson-c2 libjson0 liblept4 liblognorm1
liblwres90 libmariadbclient18 libmicrohttpd12 libntdb1 libperl4-corelibs-perl
libqpdf13 libqtwebkit4 libstdc++-4.9-dev libtimedate-perl libupower-glib3
libusbmuxd4 libwebp5 libwebpdemux1 libwebpmux1 libxtables10 python-cffi
python-html5lib python-ntdb python-ply python-pycparser python-support
python-webencodings upower
Use 'apt-get autoremove' to remove them.
Done
The following NEW packages will be installed:
cpp-6 dirmngr distro-info-data docutils-common g++-6 gcc-6 gcc-6-base
gnupg-agent hicolor-icon-theme imagemagick imagemagick-6-common
imagemagick-6.q16 initramfs-tools-core keyutils libapparmor1 libapt-inst2.0
libapt-pkg5.0 libasan3 libassuan0 libbind9-140 libc-l10n libcc1-0
libcupsimage2-dev libdns-export162 libdns162 libelf1 libf2fs0 libfastjson4
libfdisk1 libfftw3-double3 libgcc-6-dev libgnutls30 libgpgme11 libhogweed4
libicu57 libidn2-0 libimobiledevice6 libip4tc0 libip6tc0 libiptc0
libisc-export160 libisc160 libisccc140 libisccfg140 libisl15 libjbig-dev
libjpeg-dev libjpeg62-turbo-dev libjson-c3 libksba8 libldap-common liblept5
liblognorm5 liblqr-1-0 liblua5.2-0 liblwres141 liblz4-1 liblzma-dev
libmagickcore-6.q16-3 libmagickwand-6.q16-3 libmariadbclient18 libmicrohttpd12
libmnl0 libnetfilter-conntrack3 libnettle6 libnghttp2-14 libnpth0 libntfs-3g871
libplist3 libplymouth4 libpng-dev libpng16-16 libpoppler64 libprocps6 libpsl5
libpython3.5-minimal libpython3.5-stdlib libqpdf17 libreadline7 libseccomp2
libssl1.0.2 libssl1.1 libstdc++-6-dev libtesseract-data libtiff5-dev libtiffxx5
libupower-glib3 libusbmuxd4 libvncserver1 libwebp6 libwebpdemux2 libwebpmux2
libxtables12 linux-base openjdk-8-jre-headless p7zip pinentry-curses
python-cffi-backend python-configargparse python-docutils python-enum34
python-idna python-ipaddress python-pip-whl python-pyasn1 python-pyinotify
python-roman python-webencodings python3-configargparse python3-cups python3.5
python3.5-minimal sgml-base upower xml-core
The following packages have been kept back:
findutils liblocale-gettext-perl libsnmp-dev libsnmp30 libsub-identify-perl
libtext-charwidth-perl libtext-iconv-perl perl perl-base tzdata
xbian-package-xbmc
The following packages will be upgraded:
acl alsa-tools apache2 apache2-bin apache2-data apache2-utils apt apt-utils
avahi-daemon bash bc bind9-host bluez bsdmainutils build-essential bzip2 bzr
cec-utils cgmanager cifs-utils cloudprint console-setup console-setup-linux
consolekit cpp crda cups cups-client cups-core-drivers cups-daemon cups-filters
cups-filters-core-drivers cups-ppdc curl dbus debconf debconf-i18n
default-jre-headless dialog dmsetup dpkg dpkg-dev e2fslibs e2fsprogs exfat-fuse
f2fs-tools fuse g++ gcc gettext ghostscript git git-man gnupg hfsplus hfsprogs
ifupdown inetutils-tools init init-system-helpers initramfs-tools initscripts
iproute2 iptables iputils-ping isc-dhcp-client isc-dhcp-common
keyboard-configuration klibc-utils kmod kpartx less libacl1 libafpclient0
libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap libasound2 libasound2-data
libatomic1 libavahi-client-dev libavahi-client3 libavahi-common-dev
libavahi-common3 libbz2-1.0 libc-bin libc-dev-bin libc6 libc6-dev libcaca0
libcairo2 libcec libcec-dev libcec4 libcgmanager0 libck-connector0
libcloog-isl4 libcryptsetup4 libcups2 libcups2-dev libcupscgi1 libcupsfilters1
libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3 libcurl3-gnutls libdatrie1
libdbus-1-3 libdbus-1-dev libdbus-glib-1-2 libdevmapper-event1.02.1
libdevmapper1.02.1 libdpkg-perl libedit2 libffi6 libfreetype6 libfuse2 libgcc1
libgmp10 libgnutls-openssl27 libgomp1 libgs9 libgs9-common libgssapi-krb5-2
libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libidn11 libk5crypto3 libklibc
libkmod2 libkrb5-3 libkrb5support0 libldap-2.4-2 libldb1 libltdl7 liblvm2app2.2
liblzma5 libmount1 libncurses5 libncursesw5 libnih-dbus1 libnih1 libnl-3-200
libnl-genl-3-200 libntdb1 libpam-modules libpam-modules-bin libpam-systemd
libpam0g libpangoft2-1.0-0 libparted2 libpci-dev libpci3 libpolkit-agent-1-0
libpolkit-backend-1-0 libpolkit-gobject-1-0 libpulse0 libpython-stdlib
libpython2.7 libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib
libqt4-dbus libqt4-declarative libqt4-designer libqt4-help libqt4-network
libqt4-script libqt4-scripttools libqt4-sql libqt4-svg libqt4-test libqt4-xml
libqt4-xmlpatterns libqtassistantclient4 libqtcore4 libqtdbus4 libqtgui4
libqtwebkit4 librhino-java librtmp1 libsasl2-2 libsdl-image1.2 libsdl1.2debian
libsemanage-common libsemanage1 libsensors4 libsensors4-dev libsmbclient
libssh-4 libssl-dev libstdc++6 libsystemd0 libtdb1 libtesseract3 libtinfo5
libtirpc1 libubsan0 libudev-dev libudev1 libustr-1.0-1 libvorbis0a
libvorbisenc2 libvorbisfile3 libwrap0 libwrap0-dev libxcb-render0 libxml2
locales lsb-release mount mountall nano ncurses-bin nfs-common ntfs-3g ntp
openssh-client openssh-server openssh-sftp-server openssl p7zip-full p7zip-rar
parted plymouth policykit-1 poppler-utils procps psmisc python python-apt
python-bzrlib python-cffi python-cryptography python-daemon python-html5lib
python-ldb python-libcec python-minimal python-ntdb python-openssl python-pil
python-pip python-pkg-resources python-ply python-pycparser python-pycurl
python-qt4 python-samba python-setuptools python-sip python-talloc python-tdb
python2.7 python2.7-minimal python3 python3-apt python3-minimal qdbus qtchooser
rhino rpcbind rsyslog samba samba-common samba-common-bin samba-dsdb-modules
samba-libs screen systemd sysv-rc sysvinit-utils tcpd tesseract-ocr
tesseract-ocr-eng tesseract-ocr-equ tesseract-ocr-osd ttf-dejavu-core udev
unrar unrar-free upstart util-linux wget wpasupplicant
xbian-package-config-xbmc xbian-package-vnc-server xz-utils zlib1g zlib1g-dev
The following packages will be DOWNGRADED:
linux-libc-dev
291 upgraded, 115 newly installed, 1 downgraded, 0 to remove and 11 not upgraded
Find all posts by this user
Quote this message in a reply
4th Nov, 2017, 09:44 AM
Post: #4
RE: Kodi 17.4: no upgrade option
Seems your files /etc/apt/sources.list and /etc/apt/sources.list.d/xbian.list are messed up

Please show me those files and output of

Terminal

cat /etc/debian_version

FYI:
Only 15 files available for upgrade (in alphabetic order) are displayed in xbian-config GUI, and xbian-package-xbmc is nealy at the end of the upgrade list and not shown
Find all posts by this user
Quote this message in a reply
4th Nov, 2017, 05:03 PM
Post: #5
RE: Kodi 17.4: no upgrade option
(4th Nov, 2017 09:44 AM)Nachteule Wrote:  Seems your files /etc/apt/sources.list and /etc/apt/sources.list.d/xbian.list are messed up

Please show me those files and output of

Terminal

cat /etc/debian_version

FYI:
Only 15 files available for upgrade (in alphabetic order) are displayed in xbian-config GUI, and xbian-package-xbmc is nealy at the end of the upgrade list and not shown

Terminal

cat /etc/debian_version
9.1
Okay, but I'm not sure what that means :/
Find all posts by this user
Quote this message in a reply
4th Nov, 2017, 10:12 PM
Post: #6
RE: Kodi 17.4: no upgrade option
Ad 1: You did not post /etc/apt/sources.list and /etc/apt/sources.list.d/xbian.list
You have still some Debian Jessie entries there
Ad 2: 9.1 means you're running Debian Stretch
Find all posts by this user
Quote this message in a reply
4th Nov, 2017, 11:03 PM
Post: #7
RE: Kodi 17.4: no upgrade option
(4th Nov, 2017 10:12 PM)Nachteule Wrote:  Ad 1: You did not post /etc/apt/sources.list and /etc/apt/sources.list.d/xbian.list
You have still some Debian Jessie entries there
Ad 2: 9.1 means you're running Debian Stretch

Ah sry, my bad:
Terminal

cat /etc/apt/sources.list
deb http://http.debian.net/debian stretch main non-free
deb http://dl.bintray.com/kusti8/chromium-rpi jessie main

Terminal

cat /etc/apt/sources.list.d/xbian.list
deb http://apt.xbian.org/ stable main rpi2-stretch armv7l-stretch
### deb http://apt.xbian.org/ staging main rpi2-stretch armv7l-stretch
### deb http://apt.xbian.org/ devel main rpi2-stretch armv7l-stretch
Find all posts by this user
Quote this message in a reply
4th Nov, 2017, 11:16 PM
Post: #8
RE: Kodi 17.4: no upgrade option
Code:
deb http://dl.bintray.com/kusti8/chromium-rpi jessie main

You're mixing packages built for Jessie and Stretch together. This is a really bad idea
Find all posts by this user
Quote this message in a reply
5th Nov, 2017, 04:55 AM
Post: #9
RE: Kodi 17.4: no upgrade option
(4th Nov, 2017 11:16 PM)Nachteule Wrote:  
Code:
deb http://dl.bintray.com/kusti8/chromium-rpi jessie main

You're mixing packages built for Jessie and Stretch together. This is a really bad idea

Yeah okay I can see that. So if I remove the entry for Jessie, an update for kodi 17.4 should automatically appear?
Find all posts by this user
Quote this message in a reply
5th Nov, 2017, 05:49 AM
Post: #10
RE: Kodi 17.4: no upgrade option
(5th Nov, 2017 04:55 AM)joehc Wrote:  
(4th Nov, 2017 11:16 PM)Nachteule Wrote:  
Code:
deb http://dl.bintray.com/kusti8/chromium-rpi jessie main

You're mixing packages built for Jessie and Stretch together. This is a really bad idea

Yeah okay I can see that. So if I remove the entry for Jessie, an update for kodi 17.4 should automatically appear?

Look at your 2nd post:

Terminal

...
The following NEW packages will be installed:
...
xbian-package-xbmc
...
Find all posts by this user
Quote this message in a reply
5th Nov, 2017, 08:18 PM
Post: #11
RE: Kodi 17.4: no upgrade option
(5th Nov, 2017 05:49 AM)Nachteule Wrote:  
(5th Nov, 2017 04:55 AM)joehc Wrote:  
(4th Nov, 2017 11:16 PM)Nachteule Wrote:  
Code:
deb http://dl.bintray.com/kusti8/chromium-rpi jessie main

You're mixing packages built for Jessie and Stretch together. This is a really bad idea

Yeah okay I can see that. So if I remove the entry for Jessie, an update for kodi 17.4 should automatically appear?

Look at your 2nd post:

Terminal

...
The following NEW packages will be installed:
...
xbian-package-xbmc
...

Okay, deleted the jessie entry, and upgraded alle the packages with sudo apt-get upgrade, and now I have kodi 17.5 and problems, so big THANKS Smile.
But I'm curious, why didn't the update category in xbian-config upgrade all the packages e.g. xbian-packages-xbmc? Aren't I supposed to do all my updates in the update category?
Find all posts by this user
Quote this message in a reply
5th Nov, 2017, 11:18 PM
Post: #12
RE: Kodi 17.4: no upgrade option
(5th Nov, 2017 08:18 PM)joehc Wrote:  
(5th Nov, 2017 05:49 AM)Nachteule Wrote:  
(5th Nov, 2017 04:55 AM)joehc Wrote:  
(4th Nov, 2017 11:16 PM)Nachteule Wrote:  
Code:
deb http://dl.bintray.com/kusti8/chromium-rpi jessie main

You're mixing packages built for Jessie and Stretch together. This is a really bad idea

Yeah okay I can see that. So if I remove the entry for Jessie, an update for kodi 17.4 should automatically appear?

Look at your 2nd post:

Terminal

...
The following NEW packages will be installed:
...
xbian-package-xbmc
...

Okay, deleted the jessie entry, and upgraded alle the packages with sudo apt-get upgrade, and now I have kodi 17.5 and problems, so big THANKS Smile.
But I'm curious, why didn't the update category in xbian-config upgrade all the packages e.g. xbian-packages-xbmc? Aren't I supposed to do all my updates in the update category?

Usually the "update all" button does update all upgradeable packages (all which are displayed and all which are not displayed, because only 15 are displayed as already told)

Maybe the jessie entry confused xbian-config a bit Dodgy, don't know
Find all posts by this user
Quote this message in a reply
6th Nov, 2017, 12:24 AM
Post: #13
RE: Kodi 17.4: no upgrade option
(5th Nov, 2017 11:18 PM)Nachteule Wrote:  
(5th Nov, 2017 08:18 PM)joehc Wrote:  
(5th Nov, 2017 05:49 AM)Nachteule Wrote:  
(5th Nov, 2017 04:55 AM)joehc Wrote:  
(4th Nov, 2017 11:16 PM)Nachteule Wrote:  
Code:
deb http://dl.bintray.com/kusti8/chromium-rpi jessie main

You're mixing packages built for Jessie and Stretch together. This is a really bad idea

Yeah okay I can see that. So if I remove the entry for Jessie, an update for kodi 17.4 should automatically appear?

Look at your 2nd post:

Terminal

...
The following NEW packages will be installed:
...
xbian-package-xbmc
...

Okay, deleted the jessie entry, and upgraded alle the packages with sudo apt-get upgrade, and now I have kodi 17.5 and problems, so big THANKS Smile.
But I'm curious, why didn't the update category in xbian-config upgrade all the packages e.g. xbian-packages-xbmc? Aren't I supposed to do all my updates in the update category?

Usually the "update all" button does update all upgradeable packages (all which are displayed and all which are not displayed, because only 15 are displayed as already told)

Maybe the jessie entry confused xbian-config a bit Dodgy, don't know

Okay, anyways. Thanks again!
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies Views: Last Post
  [SOLVED] Option Spin down HDD in Kodi not working on Rpi3 Roy Terhaar 10 4,356 25th Apr, 2016 10:20 PM
Last Post: Nachteule

Forum Jump: